mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.ICloneable System.Runtime.InteropServices.ComVisible(true)

The size of a is controlled by the client; indexing past the end of the throws an .

Elements in this collection can be accessed using an integer index. Indexes in this collection are zero-based.

Manages a compact array of bit values, which are represented as Booleans, where true indicates that the bit is on (1) and false indicates the bit is off (0).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O() operation, where is the number of elements in .

  Initializes a new instance of the class that contains bit values copied from the specified array of Booleans.

  An array of Booleans to copy.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The first byte in the array represents bits 0 through 7, the second byte represents bits 8 through 15, and so on. The Least Significant Bit of each byte represents the lowest index value: " [0] & 1" represents bit 0, " [0] & 2" represents bit 1, " [0] & 4" represents bit 2, and so on.

  This constructor is an O() operation, where is the number of elements in .

  Initializes a new instance of the class that contains bit values copied from the specified array of bytes.

  An array of bytes containing the values to copy, where each byte represents eight consecutive bits.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O() operation, where is the number of elements in .

  Initializes a new instance of the class that contains bit values copied from the specified .

  The to copy.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O() operation, where is .

  Initializes a new instance of the class that can hold the specified number of bit values, which are initially set to false.

  The number of bit values in the new .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The number in the first array element represents bits 0 through 31, the second number in the array represents bits 32 through 63, and so on. The Least Significant Bit of each integer represents the lowest index value: " [0] & 1" represents bit 0, " [0] & 2" represents bit 1, " [0] & 4" represents bit 2, and so on.

  This constructor is an O() operation, where is the number of elements in .

  Initializes a new instance of the class that contains bit values copied from the specified array of 32-bit integers.

  An array of integers containing the values to copy, where each integer represents 32 consecutive bits.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is an O() operation, where is .

  Initializes a new instance of the class that can hold the specified number of bit values, which are initially set to the specified value.

  The number of bit values in the new .
  The Boolean value to assign to each bit.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.BitArray ``

  The bitwise AND operation returns true if both operands are true, and returns false if one or both operands are false.

  This method is an O() operation, where is .

  Performs the bitwise AND operation on the elements in the current against the corresponding elements in the specified .

  The current instance containing the result of the bitwise AND operation on the elements in the current against the corresponding elements in the specified .

  The with which to perform the bitwise AND operation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  A shallow copy of a collection copies only the elements of the collection, whether they are reference types or value types, but it does not copy the objects that the references refer to. The references in the new collection point to the same objects that the references in the original collection point to.

  In contrast, a deep copy of a collection copies the elements and everything directly or indirectly referenced by the elements.

  This method is an O() operation, where is .

  Creates a shallow copy of the .

  A shallow copy of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The specified array must be of a compatible type. Only bool, int, and byte types of arrays are supported.

  This method uses to copy the elements.

  This method is an O() operation, where is .

  Copies the entire to a compatible one-dimensional , starting at the specified index of the target array.

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A that specifies the number of elements contained in the current instance.

  and return the same value. can be set to a specific value, but is read-only.

  Retrieving the value of this property is an O(1) operation.

  Gets the number of elements contained in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is an O(1) operation.

  Gets the value of the bit at a specific position in the .

  The value of the bit at position .

  The zero-based index of the value to get.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The foreach statement of the C# language (for each in Visual Basic) hides the complexity of the enumerators. Therefore, using foreach is recommended, instead of directly manipulating the enumerator.

  Enumerators can be used to read the data in the collection, but they cannot be used to modify the underlying collection.

  Initially, the enumerator is positioned before the first element in the collection. also brings the enumerator back to this position. At this position, is undefined. Therefore, you must call to advance the enumerator to the first element of the collection before reading the value of .

  returns the same object until either or is called. sets to the next element.

  If passes the end of the collection, the enumerator is positioned after the last element in the collection and returns false. When the enumerator is at this position, subsequent calls to also return false. If the last call to returned false, is undefined. To set to the first element of the collection again, you can call followed by .

  An enumerator remains valid as long as the collection remains unchanged. If changes are made to the collection, such as adding, modifying, or deleting elements, the enumerator is irrecoverably invalidated and its behavior is undefined.

  The enumerator does not have exclusive access to the collection; therefore, enumerating through a collection is intrinsically not a thread-safe procedure. To guarantee thread safety during enumeration, you can lock the collection during the entire enumeration. To allow the collection to be accessed by multiple threads for reading and writing, you must implement your own synchronization.

  This method is an O(1) operation.

  Returns an enumerator that iterates through the .

  An for the entire .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  The value of this property is always false.

  implements the property because it is required by the interface.

  A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  A collection that is read-only is simply a collection with a wrapper that prevents modifying the collection; therefore, if changes are made to the underlying collection, the read-only collection reflects those changes.

  This method is an O(1) operation.

  Gets a value indicating whether the is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  The value of this property is always false.

  implements the property because it is required by the interface.

  Enumerating through a collection is intrinsically not a thread-safe procedure. Even when a collection is synchronized, other threads can still modify the collection, which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the collection during the entire enumeration or catch the exceptions resulting from changes made by other threads.

  Gets a value indicating whether access to the is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` A that specifies the zero-based index of the element in the current instance to get or set. This value must be greater than or equal to 0, and less than the of the current instance.

  Gets or sets the element at the specified index of the current instance.

  The element at the specified index of the current instance.

  To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A that specifies the number of elements contained in the current instance.

  and return the same value. can be set to a specific value, but is read-only.

  If is set to a value that is less than , the is truncated and the elements after the index -1 are deleted.

  If is set to a value that is greater than , the new elements are set to false.

  Retrieving the value of this property is an O(1) operation. Setting this property is an O() operation.

  Gets or sets the number of elements in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.BitArray

  This method is an O() operation, where is .

  Inverts all the bit values in the current , so that elements set to true are changed to false, and elements set to false are changed to true.

  The current instance with inverted bit values.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.BitArray ``

  The bitwise OR operation returns true if one or both operands are true, and returns false if both operands are false.

  This method is an O() operation, where is .

  Performs the bitwise OR operation on the elements in the current against the corresponding elements in the specified .

  The current instance containing the result of the bitwise OR operation on the elements in the current against the corresponding elements in the specified .

  The with which to perform the bitwise OR operation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is an O(1) operation.

  Sets the bit at a specific position in the to the specified value.

  The zero-based index of the bit to set. The Boolean value to assign to the bit.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is an O() operation, where is .

  Sets all bits in the to the specified value.

  The Boolean value to assign to all bits.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  A that can be used to synchronize access to the current instance.

  Derived classes can provide their own synchronized version of the using the property. The synchronizing code must perform operations on the of the , not directly on the . This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might be simultaneously modifying the object.

  Enumerating through a collection is intrinsically not a thread-safe procedure. Even when a collection is synchronized, other threads can still modify the collection, which causes the enumerator to throw an exception. To guarantee thread safety during enumeration, you can either lock the collection during the entire enumeration or catch the exceptions resulting from changes made by other threads.

  Gets an object that can be used to synchronize access to the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.BitArray ``

  The bitwise exclusive OR operation returns true if exactly one operand is true, and returns false if both operands have the same Boolean value.

  This method is an O() operation, where is .

  Performs the bitwise exclusive OR operation on the elements in the current against the corresponding elements in the specified .

  The current instance containing the result of the bitwise exclusive OR operation on the elements in the current against the corresponding elements in the specified .

  The with which to perform the bitwise exclusive OR operation.